package com.admin.major.domain.dto;

import com.admin.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

public class SummaryApplyDTO implements Serializable {
    /** 学生 */
    private String studentId;

    @Excel(name = "学生")
    private String studentName;

    private String studentNo;

    /** 是否特殊审批 */
    @Excel(name = "是否特殊审批")
    private String specialFlag;

    @Excel(name = "是否填报志愿")
    private String applyFlag;

    /** 是否调剂分配 */
    private Long adjustFlag;

    @Excel(name = "绩点")
    private Double score;

    @Excel(name = "排名")
    private Integer rank;


    private String   majorId1st;

    @Excel(name = "第一志愿")
    private String   majorName1st;

    private String   majorId2st;

    @Excel(name = "第二志愿")
    private String   majorName2st;

    private String   majorId3st;

    @Excel(name = "第三志愿")
    private String   majorName3st;

    private String   majorId4st;

    @Excel(name = "第四志愿")
    private String   majorName4st;

    private String   majorId5st;

    @Excel(name = "第五志愿")
    private String   majorName5st;

    /** 学院id */
    private Long collegeId;

    /** 年份 */
    private String year;


    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentNo() {
        return studentNo;
    }

    public void setStudentNo(String studentNo) {
        this.studentNo = studentNo;
    }

    public String getSpecialFlag() {
        return specialFlag;
    }

    public void setSpecialFlag(String specialFlag) {
        this.specialFlag = specialFlag;
    }

    public String getApplyFlag() {
        return applyFlag;
    }

    public void setApplyFlag(String applyFlag) {
        this.applyFlag = applyFlag;
    }

    public Long getAdjustFlag() {
        return adjustFlag;
    }

    public void setAdjustFlag(Long adjustFlag) {
        this.adjustFlag = adjustFlag;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getRank() {
        return rank;
    }

    public void setRank(Integer rank) {
        this.rank = rank;
    }

    public String getMajorId1st() {
        return majorId1st;
    }

    public void setMajorId1st(String majorId1st) {
        this.majorId1st = majorId1st;
    }

    public String getMajorName1st() {
        return majorName1st;
    }

    public void setMajorName1st(String majorName1st) {
        this.majorName1st = majorName1st;
    }

    public String getMajorId2st() {
        return majorId2st;
    }

    public void setMajorId2st(String majorId2st) {
        this.majorId2st = majorId2st;
    }

    public String getMajorName2st() {
        return majorName2st;
    }

    public void setMajorName2st(String majorName2st) {
        this.majorName2st = majorName2st;
    }

    public String getMajorId3st() {
        return majorId3st;
    }

    public void setMajorId3st(String majorId3st) {
        this.majorId3st = majorId3st;
    }

    public String getMajorName3st() {
        return majorName3st;
    }

    public void setMajorName3st(String majorName3st) {
        this.majorName3st = majorName3st;
    }

    public String getMajorId4st() {
        return majorId4st;
    }

    public void setMajorId4st(String majorId4st) {
        this.majorId4st = majorId4st;
    }

    public String getMajorName4st() {
        return majorName4st;
    }

    public void setMajorName4st(String majorName4st) {
        this.majorName4st = majorName4st;
    }

    public String getMajorId5st() {
        return majorId5st;
    }

    public void setMajorId5st(String majorId5st) {
        this.majorId5st = majorId5st;
    }

    public String getMajorName5st() {
        return majorName5st;
    }

    public void setMajorName5st(String majorName5st) {
        this.majorName5st = majorName5st;
    }

    public Long getCollegeId() {
        return collegeId;
    }

    public void setCollegeId(Long collegeId) {
        this.collegeId = collegeId;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public SummaryApplyDTO() {
    }
}
